unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, ComCtrls, RealTimeMarquee;

type
  TMainForm = class(TForm)
    Marquee: TRealTimeMarquee;
    Memo: TMemo;
    Panel1: TPanel;
    btnApplyText: TButton;
    btnReset: TButton;
    ckActive: TCheckBox;
    lblInterval: TLabel;
    edInterval: TEdit;
    udInterval: TUpDown;
    udStep: TUpDown;
    edStep: TEdit;
    lblStep: TLabel;
    lblSpacing: TLabel;
    edSpacing: TEdit;
    udSpacing: TUpDown;
    lblLoopSpacing: TLabel;
    edLoopSpacing: TEdit;
    udLoopSpacing: TUpDown;
    procedure FormCreate(Sender: TObject);
    procedure btnResetClick(Sender: TObject);
    procedure ckActiveClick(Sender: TObject);
    procedure edIntervalChange(Sender: TObject);
    procedure edStepChange(Sender: TObject);
    procedure MemoChange(Sender: TObject);
    procedure btnApplyTextClick(Sender: TObject);
    procedure edSpacingChange(Sender: TObject);
    procedure edLoopSpacingChange(Sender: TObject);
    procedure MarqueeWrap(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

{$R *.dfm}

procedure TMainForm.FormCreate(Sender: TObject);
begin
  ckActive.Checked := Marquee.Active;
  udInterval.Position := Marquee.Interval;
  udStep.Position := Marquee.Step;
  udSpacing.Position := Marquee.Spacing;
  udLoopSpacing.Position := Marquee.LoopSpacing;
  btnApplyTextClick(nil);
end;

procedure TMainForm.ckActiveClick(Sender: TObject);
begin
  Marquee.Active := ckActive.Checked;
end;

procedure TMainForm.edIntervalChange(Sender: TObject);
begin
  Marquee.Interval := udInterval.Position;
end;

procedure TMainForm.edStepChange(Sender: TObject);
begin
  Marquee.Step := udStep.Position;
end;

procedure TMainForm.edSpacingChange(Sender: TObject);
begin
  Marquee.Spacing := udSpacing.Position;
end;

procedure TMainForm.edLoopSpacingChange(Sender: TObject);
begin
  Marquee.LoopSpacing := udLoopSpacing.Position;
end;

procedure TMainForm.btnResetClick(Sender: TObject);
begin
  Marquee.Reset;
end;

procedure TMainForm.btnApplyTextClick(Sender: TObject);
begin
  Marquee.Items.LoadFromStrings(Memo.Lines, msHTML);
  btnApplyText.Enabled := False;
end;

procedure TMainForm.MemoChange(Sender: TObject);
begin
  btnApplyText.Enabled := True;
end;

procedure TMainForm.MarqueeWrap(Sender: TObject);
begin
  ckActive.Checked := Marquee.Active;
end;

end.
